slot.hpp File Reference
`#include <msgpack/preprocessor/cat.hpp>`
`#include <msgpack/preprocessor/slot/detail/def.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_ASSIGN_SLOT(i) MSGPACK_PP_CAT(MSGPACK_PP_ASSIGN_SLOT_, i)
#define | MSGPACK_PP_ASSIGN_SLOT_1 <msgpack/preprocessor/slot/detail/slot1.hpp>
#define | MSGPACK_PP_ASSIGN_SLOT_2 <msgpack/preprocessor/slot/detail/slot2.hpp>
#define | MSGPACK_PP_ASSIGN_SLOT_3 <msgpack/preprocessor/slot/detail/slot3.hpp>
#define | MSGPACK_PP_ASSIGN_SLOT_4 <msgpack/preprocessor/slot/detail/slot4.hpp>
#define | MSGPACK_PP_ASSIGN_SLOT_5 <msgpack/preprocessor/slot/detail/slot5.hpp>
#define | MSGPACK_PP_SLOT(i) MSGPACK_PP_CAT(MSGPACK_PP_SLOT_, i)()

## Macro Definition Documentation

## MSGPACK_PP_ASSIGN_SLOT

#define MSGPACK_PP_ASSIGN_SLOT | ( |  | i | ) | MSGPACK_PP_CAT(MSGPACK_PP_ASSIGN_SLOT_, i)

## MSGPACK_PP_ASSIGN_SLOT_1

#define MSGPACK_PP_ASSIGN_SLOT_1 <msgpack/preprocessor/slot/detail/slot1.hpp>

## MSGPACK_PP_ASSIGN_SLOT_2

#define MSGPACK_PP_ASSIGN_SLOT_2 <msgpack/preprocessor/slot/detail/slot2.hpp>

## MSGPACK_PP_ASSIGN_SLOT_3

#define MSGPACK_PP_ASSIGN_SLOT_3 <msgpack/preprocessor/slot/detail/slot3.hpp>

## MSGPACK_PP_ASSIGN_SLOT_4

#define MSGPACK_PP_ASSIGN_SLOT_4 <msgpack/preprocessor/slot/detail/slot4.hpp>

## MSGPACK_PP_ASSIGN_SLOT_5

#define MSGPACK_PP_ASSIGN_SLOT_5 <msgpack/preprocessor/slot/detail/slot5.hpp>

## MSGPACK_PP_SLOT

#define MSGPACK_PP_SLOT | ( |  | i | ) | MSGPACK_PP_CAT(MSGPACK_PP_SLOT_, i)()